# @uifabric/react-cards

**Card components for [Fluent UI React](https://developer.microsoft.com/en-us/fluentui)**
([formerly Office UI Fabric React](https://developer.microsoft.com/en-us/office/blogs/ui-fabric-is-evolving-into-fluent-ui/))

## What are Card components?

A `Card` is a surface to display content and actions about a single topic. It acts as a container for actionable information like text, images and icons.

`Card` components abstract styling properties and utilize them in tandem with theme variables. Some of the properties they abstract are:

- Paddings
- Widths
- Heights
- Shadowing
- Borders
- Colors

This package is intended to contain different variants of `Card` components to be leveraged when building applications using Fluent UI React.

Please take note that, at the moment, these are not production-ready components and **should never be used in product**. This space is useful for testing new components whose APIs might change before final release.

To import card components:

```js
import { ComponentName } from '@uifabric/react-cards';
```
